org.apache.hadoop.mapreduce.v2.hs.webapp

## Class HsWebApp

- java.lang.Object
- - com.google.inject.AbstractModule
  - - com.google.inject.servlet.ServletModule
    - - org.apache.hadoop.yarn.webapp.WebApp
      - - org.apache.hadoop.mapreduce.v2.hs.webapp.HsWebApp

- All Implemented Interfaces:
    com.google.inject.Module, org.apache.hadoop.mapreduce.v2.app.webapp.AMParams

      public class HsWebApp
      extends org.apache.hadoop.yarn.webapp.WebApp
      implements org.apache.hadoop.mapreduce.v2.app.webapp.AMParams

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.yarn.webapp.WebApp

      `org.apache.hadoop.yarn.webapp.WebApp.HTTP`

    - ### Nested classes/interfaces inherited from class com.google.inject.servlet.ServletModule

      `com.google.inject.servlet.ServletModule.FilterKeyBindingBuilder, com.google.inject.servlet.ServletModule.ServletKeyBindingBuilder`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.hadoop.mapreduce.v2.app.webapp.AMParams

      `APP_ID, ATTEMPT_STATE, COUNTER_GROUP, COUNTER_NAME, JOB_ID, RM_WEB, TASK_ID, TASK_STATE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HsWebApp(HistoryContext history)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setup()`

    - ### Methods inherited from class org.apache.hadoop.yarn.webapp.WebApp

      `conf, configureServlets, configureWebAppServlets, getListenerAddress, getRedirectPath, getServePathSpecs, getWebAppFilterClass, httpServer, joinThread, name, port, route, route, route, routeWithoutDefaultView, stop, wsName`

    - ### Methods inherited from class com.google.inject.servlet.ServletModule

      `configure, filter, filterRegex, getServletContext, serve, serveRegex`

    - ### Methods inherited from class com.google.inject.AbstractModule

      `addError, addError, addError, bind, bind, bind, bindConstant, binder, bindInterceptor, bindListener, bindListener, bindScope, configure, convertToTypes, currentStage, getMembersInjector, getMembersInjector, getProvider, getProvider, install, requestInjection, requestStaticInjection, requireBinding, requireBinding`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HsWebApp

          public HsWebApp(HistoryContext history)

  - ### Method Detail

    - #### setup

          public void setup()

      Specified by:
        `setup` in class `org.apache.hadoop.yarn.webapp.WebApp`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.